Subject: Re: Economics of Organic Gard...

From: [email-masked]
Date: Tue, 7 Mar 1995 15:29:17 -0500

It has long been noted that the most lucrative branch of the food chain. And
since most of the big seed companies (here in the USA anyway) are owned by
multinational corporations, our investment types would much rather see us buy
our seed than raise it, organically or otherwise. As I recall, the average
American family can save something like $400 on food bills with a garden.
When you introduce a program including fruit trees and especially small
fruits (i.e. branbles and grapes) the savings of course jump. An acre of land
can feed a family of four, including grain products.  
    My whole point here is that a garden makes terrific sense, economically
and otherwise. It's the first step towards self-reliance.